跳转到主要内容
GET
/
v3beta1
/
organizations
/
{org_id}
/
repositories
/
{repository_path}
/
indexing
获取代码库的索引状态
curl --request GET \
  --url https://api.devin.ai/v3beta1/organizations/{org_id}/repositories/{repository_path}/indexing \
  --header 'Authorization: Bearer <token>'
{
  "indexing_enabled": true,
  "latest_completed_search_index_job": {
    "branch_name": "<string>",
    "commit": "<string>",
    "created_at": 123,
    "job_id": "<string>",
    "status": "failed"
  },
  "latest_completed_wiki_index_job": {
    "branch_name": "<string>",
    "commit": "<string>",
    "created_at": 123,
    "job_id": "<string>",
    "status": "failed"
  },
  "latest_indexes": [
    {
      "branch_name": "<string>",
      "commit": "<string>",
      "created_at": 123,
      "job_id": "<string>",
      "status": "failed"
    }
  ]
}

权限

需要具有组织级别 Read 权限的服务账号。

授权

Authorization
string
header
必填

服务用户凭据(前缀:cog_)

路径参数

repository_path
string
必填

响应

成功响应

indexing_enabled
boolean
必填
latest_completed_search_index_job
RepoIndexJobResponse · object
必填
latest_completed_wiki_index_job
RepoIndexJobResponse · object
必填
latest_indexes
RepoIndexJobResponse · object[]
必填